[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TMessageDispatcher.Dispatch

Sends the specified message to the handler routine for the dispatcher.

## Declaration

Source position: interfacebase.pp line 191

`public procedure TMessageDispatcher.Dispatch(`
`var message`
`); override;`

## Arguments

`message` |  | Untyped variable argument with the message sent in the method. Cast to an TLMessage instance when passed to the handler routine.

## Description

Dispatch is an overridden method in TMessageDispatcher. It reimplements the method introduced in the TObject ancestor. It executes the TLCLWndMethod routine passed as an argument to the constructor using the specified message as a parameter.

## See also

TLCLWndMethod |  | The type used for all LCL message handlers.
TLMessage |  |
TObject.Dispatch